Détails du package smp-gimp_2.10.8-1_all.wapt
retour Revenir à la liste des packages

smp-gimp

ATTENTION CE DÉPÔT n'est plus compatible 1.3 vous devez migrer en 1.5.1.21 !

Fichier control :

package           : smp-gimp
version           : 2.10.8-1
architecture      : all
section           : base
priority          : optional
maintainer        : Simon Fonteneau
description       : Outil de retouche graphique Gimp
depends           : 
conflicts         : 
maturity          : 
locale            : 
target_os         : windows
min_os_version    : 
max_os_version    : 
min_wapt_version  : 
sources           : 
installed_size    : 
impacted_process  : gimp-2.10.exe
description_fr    : 
description_pl    : 
description_de    : 
description_es    : 
audit_schedule    : 
editor            : 
keywords          : 
licence           : 
homepage          : 
package_uuid      : 9d6ece53-ff69-4b3c-85b0-e9b7edae8164
signer            : wapt.lesfourmisduweb.org
signer_fingerprint: 8da83ebdac1a25e820b186510d049f47407b11835b0664fdc5bacd3595b1671d
signature         : mOdiDnAXjaBl90sKJl8JPnylRNrfxUewwpNpuvZnHJsL4uNhO3kh6q0w9G1xqxgnn7ZLRpOghk5IOG5wa5+y//Kql34LbM0/OGxjPWq5MWTGSvXvZmx2nlkiGfGTybL4NptUopcrydzkIjHETYKNx8bV/7ux4tl/7aCxWkWqBtXrdIqWH4+4QTZI8qQ/g6BM7nUayUwjVjFFCv0yDkjP1CXIePO83FdI3xc8uY1Un06coTI4XBoDwP2Gx4x6PYsG5n0kBOZy6+nJc3L3G5cGSX1XN5QLOxFzOmIks9iAwfafyOKgoP+AFKKuKC8s8jwqGIke1gemF8C/nPCyNafTIQ==
signature_date    : 20181110-211141
signed_attributes : package,version,architecture,section,priority,maintainer,description,depends,conflicts,maturity,locale,target_os,min_os_version,max_os_version,min_wapt_version,sources,installed_size,impacted_process,description_fr,description_pl,description_de,description_es,audit_schedule,editor,keywords,licence,homepage,package_uuid,signer,signer_fingerprint,signature_date,signed_attributes






Fichier setup.py :

#!/usr/bin/python
# -*- coding: utf-8 -*-

from setuphelpers import *

uninstallkey=[]

def install():

    versionpaquet = control['version'].split('-',1)[0]
    install_exe_if_needed("gimp-%s-setup.exe" % versionpaquet,silentflags='/VERYSILENT',key='GIMP-2_is1',min_version=versionpaquet,killbefore=['gimp.exe'],timeout=900)


def update_package():
    import urlparse

    htmlSource = wgets("https://www.gimp.org/downloads/").splitlines()
    for line in htmlSource:
        if '.exe' in line :
            if not 'help' in line :
                if not 'torrent' in line :
                    urlgimp = 'https://download.gimp.org/mirror/pub/gimp/' + line[line.find("/gimp/") + 6 : line.find('" title') ]
                    filenamegimp = urlparse.unquote(urlgimp.rsplit('/',1)[1])
                    break


    vers = filenamegimp.split('-')[1]

    print 'Last Version = ' + vers

    allexe = glob.glob('*.exe')
    for exe in allexe:
        if exe != filenamegimp :
            remove_file(exe)

    if not isfile(filenamegimp):
        wget(urlgimp,filenamegimp)


    os.chdir(os.path.dirname(__file__))

    from waptpackage import PackageEntry
    pe = PackageEntry()
    pe.load_control_from_wapt(os.getcwd())

    pe.version = vers + '-0'
    pe.save_control_to_wapt(os.getcwd())


if __name__ == '__main__':
    update_package()